BloomFilter.BitSet (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.util

## Class BloomFilter.BitSet

- java.lang.Object
- - org.apache.orc.util.BloomFilter.BitSet

- Enclosing class:
    BloomFilter

      public static class BloomFilter.BitSet
      extends Object

  Bare metal bit set implementation. For performance reasons, this implementation does not check for index bounds nor expand the bit set size if the specified index is greater than the size.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitSet(long bits)`
    `BitSet(long[] data)` Deserialize long array as bit set.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `bitSize()` Number of bits
    `void` | `clear()` Clear the bit set.
    `boolean` | `equals(Object other)`
    `boolean` | `get(int index)` Returns true if the bit is set in the specified index.
    `long[]` | `getData()`
    `int` | `hashCode()`
    `void` | `putAll(BloomFilter.BitSet array)` Combines the two BitArrays using bitwise OR.
    `void` | `set(int index)` Sets the bit at specified index.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitSet

          public BitSet(long bits)

    - #### BitSet

          public BitSet(long[] data)

      Deserialize long array as bit set.
      Parameters:
        `data` - - bit array

  - ### Method Detail

    - #### set

          public void set(int index)

      Sets the bit at specified index.
      Parameters:
        `index` - - position

    - #### get

          public boolean get(int index)

      Returns true if the bit is set in the specified index.
      Parameters:
        `index` - - position
      Returns:
        - value at the bit position

    - #### bitSize

          public long bitSize()

      Number of bits

    - #### getData

          public long[] getData()

    - #### putAll

          public void putAll(BloomFilter.BitSet array)

      Combines the two BitArrays using bitwise OR.

    - #### clear

          public void clear()

      Clear the bit set.

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.